Page MenuHomePhabricator

Make sure federation works on beta
Closed, ResolvedPublic

Description

Make sure federation works on beta

Make sure config is setup correctly, and everything works

Acceptance criteria:

On a File page

  • can click on the P-item link for depicts, and get to the depicts item on beta.wikidata
  • can add/edit/delete a depicts statement with a value from beta.wikidata
  • can view statement, and click on the linked Q-item link and get to the Q-item on beta.wikidata

QA Results

ACStatusDetails
1T217157#5071910
2T217157#5071910
3T217157#5071910

Event Timeline

Cparle created this task.Feb 26 2019, 5:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2019, 5:43 PM
Ramsey-WMF triaged this task as High priority.Feb 27 2019, 6:54 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 5 2019, 5:25 PM

I _guess_ this might be a different manifestation of T214544 ?

After talking with cormac on IRC, as far as I can tell federation is working just fine.
However search (backed by cirrus) does not take federated entities into account at all.

Cparle added a comment.Mar 6 2019, 2:50 PM

Erm ... 'working fine' might be over-egging it a bit. We haven't definitively shown it's *not* working, because some of the searching stuff doesn't seem to be right. Still looking into it ...

Cparle moved this task from Needs QA to Doing on the SDC Engineering (Depicts-Crawling) board.

Ok for now what I'm gonna try is have the File page call wbsearchentities on wikidata instead of on commons. We shall see ...

Change 494996 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Configurable url for wbsearchentities queries on File page

https://gerrit.wikimedia.org/r/494996

Change 495256 had a related patch set uploaded (by Cparle; owner: Cparle):
[operations/mediawiki-config@master] External api url for wbsearchentities api call on commons

https://gerrit.wikimedia.org/r/495256

Change 494996 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Configurable url for wbsearchentities queries on File page

https://gerrit.wikimedia.org/r/494996

Change 495256 merged by jenkins-bot:
[operations/mediawiki-config@master] External api url for wbsearchentities api call on commons

https://gerrit.wikimedia.org/r/495256

Change 495282 had a related patch set uploaded (by MarkTraceur; owner: MarkTraceur):
[operations/mediawiki-config@master] Fix typo in config variable

https://gerrit.wikimedia.org/r/495282

Change 495282 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix typo in config variable

https://gerrit.wikimedia.org/r/495282

Change 495666 had a related patch set uploaded (by Cparle; owner: Cparle):
[operations/mediawiki-config@master] Fix syntax for MediaInfo depicts config

https://gerrit.wikimedia.org/r/495666

Change 495666 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix syntax for MediaInfo depicts config

https://gerrit.wikimedia.org/r/495666

@Cparle could use some test steps/acceptance criteria on this one, as it isn't immediately obvious :)

Cparle updated the task description. (Show Details)Mar 14 2019, 11:56 AM
WMDE-leszek added a comment.EditedMar 18 2019, 12:16 PM

The ones @Cparle has added to the task description looks pretty good, and for the file page it might be it.
A list of possible further things to check, admittedly often not that end-user-facing ones. I'll let @Cparle and @Ramsey-WMF decide which of these deserve to be promoted to "acceptance criteria", and which are just things to test the verify that all works (tm).

(list not claimed to be complete)

  • Special:ListProperties list all properties from Beta wikidata, and clicking on the property link leads to its page on beta wikidata
  • When given Q-id or P-id, Special:EntityData redirects to Special:EntityPage on beta wikidata
  • Special:NewItem and Special:NewProperty does not allow creating new entries on Beta commons
Edtadros claimed this task.Mar 18 2019, 4:26 PM

When given Q-id or P-id as a search term to beta commons' wbsearchentities API, the API returns search results matching the item/property from beta Wikidata

This won't work, as the local search index doesn't contain wikidata items. We think this is ok, because we can (and do) call wbsearchentities on wikidata directly from commons

Special:NewItem and Special:NewProperty does not allow creating new entries on Beta commons

Both of these cause fatal errors atm :( Is there any way of disabling the pages? @Jdforrester-WMF @Addshore I seem to remember ye having some discussion about disabling special pages before?

Special:NewItem and Special:NewProperty does not allow creating new entries on Beta commons

Both of these cause fatal errors atm :( Is there any way of disabling the pages?

No. Such functionality would have to be engineered into the labyrinth that is Wikibase itself. That's beyond me, and the Wikidata team haven't prioritised it at their end (which is fair, we want federation more than clean-up).

Ok - well if @Ramsey-WMF is ok with that then I am

Let's discuss this in standup

Ok - well if @Ramsey-WMF is ok with that then I am

Abit added a comment.Mar 20 2019, 6:55 PM

What came out of standup?

Documenting discussion in stand-up: Fixing the Special:NewItem and Special:NewProperty is not within our capability and will have to stay as is (with the fatal errors), which is not bad. These aren't pages users should be going to anyway, and this isn't a big deal for the short term.

Let's discuss this in standup

Ok - well if @Ramsey-WMF is ok with that then I am

When given Q-id or P-id as a search term to beta commons' wbsearchentities API, the API returns search results matching the item/property from beta Wikidata

This won't work, as the local search index doesn't contain wikidata items. We think this is ok, because we can (and do) call wbsearchentities on wikidata directly from commons

Sorry, my bad, I forgot it is determined by Wikibase itself only when non-ElasticSearch search is used. @Addshore reminded my on the solution applied on Commons, which you also mentioned, so this point also seems to be fine!

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome

Test Artifact(s):

On a File page


✅ AC1: can click on the P-item link for depicts, and get to the depicts item on beta.wikidata

✅ AC2: can add/edit/delete a depicts statement with a value from beta.wikidata
Add:

Edit:

Delete:

✅ AC3: can view statement, and click on the linked Q-item link and get to the Q-item on beta.wikidata

Edtadros updated the task description. (Show Details)Mar 30 2019, 4:50 PM
Edtadros reassigned this task from Edtadros to Ramsey-WMF.
Edtadros added a subscriber: Edtadros.
Ramsey-WMF closed this task as Resolved.Apr 1 2019, 8:49 PM

Closing since this particular task ends at Beta.